AI Sync

PowerList Notes

Update PowerList Note

PUThttps://app.aisync.link/api/powerlists/notes/{id}
Update PowerList Note
curl --request PUT \
  --url https://app.aisync.link/api/powerlists/notes/MQ== \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "notes": "Updated script.",
  "title": "Script",
  "powerlist_id": [
    "MQ=="
  ]
}'
{
  "message": "Note updated successfully.",
  "success": true
}

Update PowerList Note#

Updates a PowerList note.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 note id

titlestringbodyrequired

Note title

notesstringbodyrequired

Note body

powerlist_idstring[]bodyrequired

Powerlist ids

curl --request PUT \
  --url https://app.aisync.link/api/powerlists/notes/MQ== \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "Script",
  "notes": "Updated script.",
  "powerlist_id": [
    "MQ=="
  ]
}'
successboolean

true when the note is saved

PUT /api/powerlists/notes/update/{id} calls the same action.